package com.gic.haoban.manage.api.dto.welcome.qdto;

import com.gic.haoban.manage.api.dto.welcome.dto.WelcomeSuitDepartmentDTO;
import com.gic.haoban.manage.api.dto.welcome.dto.WelcomeSuitStaffDTO;

import java.io.Serializable;
import java.util.List;

/**
 * desc：保存欢迎语qdto
 *
 * @author: YongEn
 * @date: 2022/2/11
 **/
public class SaveWelcomeQDTO implements Serializable {
    private static final long serialVersionUID = 2585027808161889622L;
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 操作人id
     */
    private String operatorId;
    /**
     * 操作人名称
     */
    private String operatorName;
    private String creatorId ;
    private String creatorName ;
    private String modifierId ;
    private String modifierName ;
    /**
     * 默认欢迎语标记 1是 0否  1 全体成员 0 部分成员
     */
    private Integer defaultWelcomeFlag;
    /**
     * 欢迎语媒体列表
     */
    private List<SaveWelcomeMediaQDTO> welcomeMediaList;
    /**
     * 适用部门新增列表
     */
    private List<WelcomeSuitDepartmentDTO> suitDepartmentAddList;
    /**
     * 适用部门删除列表
     */
    private List<WelcomeSuitDepartmentDTO> suitDepartmentDeleteList;
    /**
     * 适用员工新增列表
     */
    private List<WelcomeSuitStaffDTO> suitStaffAddList;
    /**
     * 适用员工删除列表
     */
    private List<WelcomeSuitStaffDTO> suitStaffDeleteList;

    /**
     * 欢迎语类型
     * @see com.gic.haoban.manage.api.enums.hm.HmWelcomeType
     */
    private Integer type;

    public String getModifierId() {
        return modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Integer getDefaultWelcomeFlag() {
        return defaultWelcomeFlag;
    }

    public void setDefaultWelcomeFlag(Integer defaultWelcomeFlag) {
        this.defaultWelcomeFlag = defaultWelcomeFlag;
    }

    public List<SaveWelcomeMediaQDTO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<SaveWelcomeMediaQDTO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public List<WelcomeSuitDepartmentDTO> getSuitDepartmentAddList() {
        return suitDepartmentAddList;
    }

    public void setSuitDepartmentAddList(List<WelcomeSuitDepartmentDTO> suitDepartmentAddList) {
        this.suitDepartmentAddList = suitDepartmentAddList;
    }

    public List<WelcomeSuitDepartmentDTO> getSuitDepartmentDeleteList() {
        return suitDepartmentDeleteList;
    }

    public void setSuitDepartmentDeleteList(List<WelcomeSuitDepartmentDTO> suitDepartmentDeleteList) {
        this.suitDepartmentDeleteList = suitDepartmentDeleteList;
    }

    public List<WelcomeSuitStaffDTO> getSuitStaffAddList() {
        return suitStaffAddList;
    }

    public void setSuitStaffAddList(List<WelcomeSuitStaffDTO> suitStaffAddList) {
        this.suitStaffAddList = suitStaffAddList;
    }

    public List<WelcomeSuitStaffDTO> getSuitStaffDeleteList() {
        return suitStaffDeleteList;
    }

    public void setSuitStaffDeleteList(List<WelcomeSuitStaffDTO> suitStaffDeleteList) {
        this.suitStaffDeleteList = suitStaffDeleteList;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SaveWelcomeQDTO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", operatorId='" + operatorId + '\'' +
                ", operatorName='" + operatorName + '\'' +
                ", suitDepartmentAddList=" + suitDepartmentAddList +
                ", suitDepartmentDeleteList=" + suitDepartmentDeleteList +
                ", suitStaffAddList=" + suitStaffAddList +
                ", suitStaffDeleteList=" + suitStaffDeleteList +
                '}';
    }
}
